Unity Community


Page 1 of 3 123 LastLast
Results 1 to 20 of 51

  1. Location
    West Yorkshire, England
    Posts
    129

    Unity 3.5 and iOS 5.1

    Hi, folks!

    Can anyone confirm that Unity 3.5 based apps will not run on iOS due to iOS recently being updated to 5.1? It's the only logical explanation I can think of why my app is stalling on loading.

    Thanks in advance!


  2. Posts
    3
    I am having the same issue after upgrading to the latest Xcode with the iOS 5.1 SDK.

    An app generated by Unity3D using Build & Run will crash during the loading screen with the following output generated in Xcode console:

    2012-03-08 13:53:05.958 angryBots[1007:707] -> registered mono modules 0xe7a5f8
    -> applicationDidFinishLaunching()
    Mono path[0] = '/var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed'
    Renderer: PowerVR SGX 535
    Vendor: Imagination Technologies
    Version: OpenGL ES 2.0 IMGSGX535-63.24
    GL_OES_depth_texture GL_OES_depth24 GL_OES_element_index_uint GL_OES_fbo_render_mipmap GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_half_float GL_OES_vertex_array_object GL_EXT_blend_minmax GL_EXT_debug_label GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_read_format_bgra GL_EXT_separate_shader_objects GL_EXT_shader_texture_lod GL_EXT_texture_filter_anisotropic GL_APPLE_framebuffer_multisample GL_APPLE_rgb_422 GL_APPLE_texture_format_BGRA8888 GL_APPLE_texture_max_level GL_IMG_read_format GL_IMG_texture_compression_pvrtc
    Creating OpenGLES2.0 graphics device
    Begin MonoManager ReloadAssembly
    Platform assembly: /var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/UnityEngine.dll (this message is harmless)
    Loading /var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/UnityEngine.dll into Unity Child Domain
    Platform assembly: /var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/Assembly-CSharp-firstpass.dll (this message is harmless)
    Loading /var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/Assembly-CSharp-firstpass.dll into Unity Child Domain
    Platform assembly: /var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/Assembly-CSharp.dll (this message is harmless)
    Loading /var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/Assembly-CSharp.dll into Unity Child Domain
    Platform assembly: /var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/Assembly-UnityScript.dll (this message is harmless)
    Loading /var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/Assembly-UnityScript.dll into Unity Child Domain
    Non platform assembly: /private/var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/Boo.Lang.dll (this message is harmless)
    Non platform assembly: /private/var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/System.dll (this message is harmless)
    Non platform assembly: /private/var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/Mono.Security.dll (this message is harmless)
    Non platform assembly: /private/var/mobile/Applications/A4B559FD-E257-45A4-A494-06468065879D/angryBots.app/Data/Managed/UnityScript.Lang.dll (this message is harmless)
    - Completed reload, in 0.283 seconds
    You are using Unity iPhone Basic. You are not allowed to remove the Unity splash screen from your game
    (lldb)


  3. Location
    West Yorkshire, England
    Posts
    129
    Yea, same deal over here ;(


  4. Posts
    3
    Further information:

    I am able to compile and run the AngryBots project on the iOS simulator but despite that the App will not run on my iPhone 3GS which has iOS 5.1 on it. I will test different player settings.



  5. Posts
    3
    Confirmed...

    I downloaded Xcode 4.3 for Lion and on Unity 3D I set the Player Settings -> SDK Version to iOS Latest.

    Instead of Build & Run I just opted to "Build" the app.

    Unity3d generates an Xcode project which I then opened with Xcode 4.3 not Xcode 4.3.1

    From within Xcode I ran the project and the app loaded and ran just fine on my iPhone 3GS with iOS 5.1.

    I look forward to the day when Unity3D is built with updates of Xcode and iOS already in mind.

    Apple has had Xcode 3.2.1 with iOS 5.1 in beta for the longest time. This update should have been anticipated with the rapid adoption of updates that is prevalent in the Apple ecosystem.

    Future proof people!!! Screw the business model and future proof!!!


  6. Posts
    89
    Same exact issue here. Haven't found a fix for it yet. Hope they post a hot fix update soon!


  7. Location
    Finland
    Posts
    571
    Quote Originally Posted by scrhacfuji View Post

    I look forward to the day when Unity3D is built with updates of Xcode and iOS already in mind.

    Apple has had Xcode 3.2.1 with iOS 5.1 in beta for the longest time. This update should have been anticipated with the rapid adoption of updates that is prevalent in the Apple ecosystem.

    Future proof people!!! Screw the business model and future proof!!!
    They probably had much prepared but the beta versions didnt include all changes so the new iPad wouldnt be revealed ahead of time. Splash screen system and error could be among those things since new iPad has its own now.

  8. Unity Developer



    Posts
    1,108
    If you installed Xcode 4.3.1 via Mac App Store and now can't downgrade try following direct download URL: http://adcdownload.apple.com/Develop...3_for_lion.dmg
    Mantas Puida
    Unity Technologies


  9. Posts
    332
    Hm looks like i won't be updating anything for 5.1 until these issues are sorted..... **


  10. Location
    West Yorkshire, England
    Posts
    129
    Thank you for the replies and clarification. Running through 4.3 as described above has seemed to do the trick. Is there any sort of ETA for when Unity will support 4.3.1 since this is still faffy :P


  11. Location
    Toronto, Canada
    Posts
    4,709
    Quote Originally Posted by scrhacfuji View Post
    Confirmed...

    Unity3d generates an Xcode project which I then opened with Xcode 4.3 not Xcode 4.3.1
    How do you get 4.3? I only have 4.3.1 and 4.2 (most likely) in my trash.



    errrrr.


  12. Location
    West Yorkshire, England
    Posts
    129
    Quote Originally Posted by renman3000 View Post
    How do you get 4.3? I only have 4.3.1 and 4.2 (most likely) in my trash.



    errrrr.
    Go here - https://developer.apple.com/downloads/index.action

    Find XCode 4.3 for Lion (untick everything but Developer Tools on the left to make it easier). Download the .dmg and then place the Xcode.app in the .dmg anywhere. I advise renaming it to something like XCodeOLD.app to save confusion.

    GL.


  13. Location
    Portland, OR
    Posts
    1,830
    I have a project compiling under Xcode 3.1 and unity 3.5

    If its not working for you, are on your iOS advanced or basic?



  14. Posts
    2

    Problem!

    The problem is to use version 5.1 (SDK) and Xcode 4.3.1, because when you compile it changes the properties of the image, probably due to insertion of the retina system for the iPad 3. forming a white band near the home button. Thus consider changing the splash screen to build the iPhone. Using version 4.3 these problems disappear.



  15. Location
    Toronto, Canada
    Posts
    4,709
    Yah same.
    Holy smoke balls.
    So what is the image properties of the new image?


  16. Posts
    4
    Same problem

    (...)
    Loading /var/mobile/Applications/83476D7F-24DE-4F2F-ACFA-30B56B788773/myapp.app/Data/Managed/Assembly-UnityScript.dll into Unity Child Domain
    - Completed reload, in 0.103 seconds
    You are using Unity iPhone Basic. You are not allowed to remove the Unity splash screen from your game
    (lldb)

    Any solutions from Unity that doesn't include downgrading XCode?

  17. Keyboard operator

    Location
    Copenhagen, Denmark
    Posts
    2,929
    We do not currently support the latest version of Xcode. We will let you know as soon as we have an upgrade available.
    Emil "AngryAnt" Johansen

    Game developer, AI specialist, Unity expert
    Freelancer, ex Unity Technologies

    AI in Unity, tips and tricks: http://angryant.com, http://twitter.com/angryant

    Coding bare-footed grants you extra CPU cycles!


    Want to play? http://angryant.com/freelance/
    Behave 2 is out! http://angryant.com/2013/12/23/Behave-2-2/
    Check out ReView!


  18. Location
    Dallas, Tx
    Posts
    436
    @angryant,

    Is this an issue only with iPhone Basic or are the issues more rampant w/the latest/greatest? I'm running pro versions so i just wanted to clarify if there were issues there as well. I have a customer who's asking me to test the builds out on the latest version but i'm hesitant to upgrade to the latest, but i'm not seeing a TON of grumblings outside of this splash screen issue.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •